ONVIF::Media::Types::RelativeFocusOptions20(3)

NAME
ONVIF::Media::Types::RelativeFocusOptions20

DESCRIPTION
Perl data type class for the XML Schema defined complexType RelativeFocusOptions20 from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Distance

•   Speed

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::RelativeFocusOptions20
   Distance =>  { # ONVIF::Media::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   Speed =>  { # ONVIF::Media::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
 },

AUTHOR
Generated by SOAP::WSDL